----------------------------------
-- Pull timers
----------------------------------

local addon = DXE
local L = addon.L

local ipairs, pairs = ipairs, pairs
local remove,wipe = table.remove,table.wipe
local match,len,format,split,find = string.match,string.len,string.format,string.split,string.find

local db,pfl

----------------------------------
-- INITIALIZATION
----------------------------------

local module = addon:NewModule("Pull","AceEvent-3.0","AceTimer-3.0","AceComm-3.0","AceSerializer-3.0")
addon.Pull = module

function module:RefreshProfile() pfl = self.db.profile end

function module:OnInitialize()
	self.db = addon.db:RegisterNamespace("Pull", defaults)
	db = self.db
	pfl = db.profile

	db.RegisterCallback(self, "OnProfileChanged", "RefreshProfile")
	db.RegisterCallback(self, "OnProfileCopied", "RefreshProfile")
	db.RegisterCallback(self, "OnProfileReset", "RefreshProfile")
end

function module:OnEnable()
	self:RegisterComm("D4")
end

----------------------------------
-- COMM RECEIVED
----------------------------------

function module:OnCommReceived(prefix, msg, dist, sender)
	if sender == addon.PNAME then
		return
	end
	--print("A",prefix, dist, sender)
	if prefix == "D4" then
		--	print(msg:gsub("\t", "__"))
			local handler, time, name = ("\t"):split(msg)
			
			if handler == "PT" then
				time = tonumber(time)
				if not sender then sender = "none1" end
				--print("teste pull PULL plugin",time,sender)
				addon:FireStuff(sender,time)
			end
	end
end

